2

we are trying to

If I change language to french from the install page (I installed correctly the language files) I get immediatly this error.

Fatal error: Uncaught RuntimeException: Undefined constant: CIVICRM_TEMPLATE_COMPILEDIR in /Users/f/local/lib/app/public/wp-content/plugins/civicrm/civicrm/CRM/Utils/File.php on line 583
( ! ) RuntimeException: Undefined constant: CIVICRM_TEMPLATE_COMPILEDIR in /Users/f/local/lib/app/public/wp-content/plugins/civicrm/civicrm/CRM/Utils/File.php on line 583

So this makes it impossible to install in another language than english which is annoying. Any idea about this ?

If language is set to english, it almost works except for an error in some urls:

On a civicrm submenu, like for example administer -> administration console -> configuration checklist

if I click for example on the "Pages" wordpress menu, the url I end on is https://domaine.test/wp-admin/admin.php/edit.php?post_type=page with a blank screen. This url should be https://domaine.test/wp-admin/edit.php?post_type=page There is systematically this unnecessary "admin.php" in the url. We've tried on another computer with this same local version and we got the same incorrect behaviour. With another instance of civicrm (version 5.17) on this same particul local setup we don't have this error so we think that this is related to one of the following civicrm releases. Any idea about this ?

We also tried on the new local by flywheel (5.2.5 with php 7.3.5 and MySQL 5.7.28) Warning: this news version is a different application and connects differently than older Local to the database, using socket. With that setup we have the same error as above when we change the language on the install page. Then, if we install in english, it installs and generate the tables and the settings file in uploads/civivrm Nonetheless I systematically gets several "network error" alerts... and civicrm is not working. Any idea how to set civicrm with this new version of flywheel ?

0

I've posted a possible solution to the language part of the problem at https://lab.civicrm.org/dev/translation/issues/40#note_33313. It works for me on drupal 7 and should work for wordpress too I think. Add this to install/index.php around line 141:

if (!defined('CIVICRM_L10N_BASEDIR') && file_exists($crmPath . DIRECTORY_SEPARATOR . 'l10n')) {
  define('CIVICRM_L10N_BASEDIR', $crmPath . DIRECTORY_SEPARATOR . 'l10n');
}

The other part of the problem is already fixed in the latest 5.23.

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.